Public Class advanced_pdf_security
    Inherits System.Web.UI.Page

    Protected Sub BtnCreatePdf_Click(sender As Object, e As EventArgs)
        ' the initial file
        Dim file As String = Server.MapPath("~/files/doc1.pdf")

        ' the certificate
        Dim certFile As String = Server.MapPath("~/files/selectpdf.pfx")

        ' load the pdf document using the advanced security manager
        Dim security As New PdfSecurityManager()
        security.Load(file)

        ' encryption algorithm and key length
        security.EncryptionAlgorithm = PdfEncryptionAlgorithm.AES
        security.EncryptionKeySize = PdfEncryptionKeySize.EncryptKey256Bit

        ' set document passwords
        security.OwnerPassword = "test1"
        security.UserPassword = "test2"

        'set document permissions
        security.CanAssembleDocument = False
        security.CanCopyContent = True
        security.CanEditAnnotations = True
        security.CanEditContent = True
        security.CanFillFields = True
        security.CanPrint = True

        ' add the digital signature
        security.Sign(certFile, "selectpdf")

        ' save pdf document
        security.Save(Response, False, "Sample.pdf")

        ' close pdf document
        security.Close()
    End Sub


End Class